Bug 800542 - Need way to obtain DES keys for older NFS
Need way to obtain DES keys for older NFS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Identity_Management_Guide (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 12:02 EST by Dmitri Pal
Modified: 2012-06-21 19:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 19:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-03-06 12:02:18 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2471

DES is completely disabled in 2.2 servers. We need a way to be able to generate DES keys at least for older NFS clients and servers.

I tried adding allow_weak_crypto = yes to libdefaults of the IPA server krb5.conf and adding support for the enc type but was still unable to use ipa-getkeytab from a RHEL-5 client.

I added this to LDAP:
dn: cn=$REALM,cn=kerberos,dc=greyoak,dc=com
krbSupportedEncSaltTypes: des-cbc-crc:normal
krbSupportedEncSaltTypes: des-cbc-crc:special
krbDefaultEncSaltTypes: des-cbc-crc:special
Comment 2 Deon Ballard 2012-05-03 12:34:36 EDT
Setting all priority and severity to medium.
Comment 5 Deon Ballard 2012-06-21 19:15:09 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.